Loading...
Searching...
No Matches
Opm::PvsNewtonMethod< TypeTag > Class Template Reference

A newton solver which is specific to the compositional multi-phase PVS model. More...

`#include <pvsnewtonmethod.hh>`

Inheritance diagram for Opm::PvsNewtonMethod< TypeTag >:

## Public Member Functions

| PvsNewtonMethod (Simulator &simulator)

## Protected Member Functions

void | updatePrimaryVariables_ (unsigned, PrimaryVariables &nextValue, const PrimaryVariables &currentValue, const EqVector &update, const EqVector &)
| Update a single primary variables object.
void | endIteration_ (SolutionVector &uCurrentIter, const SolutionVector &uLastIter)
| Indicates that one Newton iteration was finished.

## Protected Attributes

friend | NewtonMethod< TypeTag >
friend | ParentType

## Detailed Description

template<class TypeTag>
class Opm::PvsNewtonMethod< TypeTag >

A newton solver which is specific to the compositional multi-phase PVS model.

## Member Function Documentation

## endIteration_()

template<class TypeTag>

void Opm::PvsNewtonMethod< TypeTag >::endIteration_ | ( | SolutionVector & | uCurrentIter,
|  | const SolutionVector & | uLastIter )

inline protected

Indicates that one Newton iteration was finished.

Parameters

  nextSolution | The solution after the current Newton iteration
  currentSolution | The solution at the beginning of the current Newton iteration
  uCurrentIter | Current solution iterator
  uLastIter | Last solution iterator

## updatePrimaryVariables_()

template<class TypeTag>

void Opm::PvsNewtonMethod< TypeTag >::updatePrimaryVariables_ | ( | unsigned | ,
|  | PrimaryVariables & | nextValue,
|  | const PrimaryVariables & | currentValue,
|  | const EqVector & | update,
|  | const EqVector & | )

inline protected

Update a single primary variables object.

The documentation for this class was generated from the following file:

- opm/models/pvs/pvsnewtonmethod.hh